## mx4j.tools.config
Class DefaultConfigurationBuilder.Object

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
          mx4j.tools.config.DefaultConfigurationBuilder.Object

All Implemented Interfaces:
  ConfigurationBuilder.Node

Enclosing class:
  DefaultConfigurationBuilder

public static class DefaultConfigurationBuilder.Object
extends DefaultConfigurationBuilder.AbstractNode

Constructor Summary
`DefaultConfigurationBuilder.Object()`

Method Summary
`java.lang.Object` `configure(javax.management.MBeanServer server)`
`java.lang.String` `getObjectid()`
`void` `setObjectid(java.lang.String id)`

Methods inherited from class mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode
`addChild, getChildren, getParent, getText, setAttributes, setParent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationBuilder.Object

    public DefaultConfigurationBuilder.Object()

Method Detail

### setObjectid

    public void setObjectid(java.lang.String id)

### getObjectid

    public java.lang.String getObjectid()

### configure

    public java.lang.Object configure(javax.management.MBeanServer server)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.